# ``twisted`.`internet`.`defer`.`_Sentinel``

class documentation

`class _Sentinel(Enum): (source)`

View In Hierarchy

Constant | `_CONTINUE` | A marker left in `Deferred.callback`s to indicate a Deferred chain. Always accompanied by a Deferred instance in the args tuple pointing at the Deferred which is chained to the Deferred which has this marker.
Constant | `_NO_RESULT` | The result used to represent the fact that there is no result. Never ever ever use this as an actual result for a Deferred. You have been warned.

_CONTINUE = (source)
A marker left in `Deferred.callback`s to indicate a Deferred chain. Always accompanied by a Deferred instance in the args tuple pointing at the Deferred which is chained to the Deferred which has this marker.

Value

    object()

_NO_RESULT = (source)
The result used to represent the fact that there is no result. Never ever ever use this as an actual result for a Deferred. You have been warned.

Value

    object()